summaryrefslogtreecommitdiffstats
path: root/dvm
diff options
context:
space:
mode:
authorAnush Shetty <anush@gluster.com>2011-12-05 06:49:06 +0000
committerRaghavendra Bhat <raghavendrabhat@gluster.com>2011-12-06 11:45:37 +0530
commitbbff228574b12c7d1a53abb629c8a550ce5f651b (patch)
tree4eef51f028c1848b7eaf020be3260685a4a6beac /dvm
parent12f0c3ab400df121182c6b0a92a2bebc32ebc384 (diff)
Verify if performance.cache-min-file-size option can be set without setting max-file-size
Signed-off-by: Anush Shetty <anush@gluster.com> Signed-off-by: Raghavendra Bhat <raghavendrabhat@gluster.com>
Diffstat (limited to 'dvm')
-rwxr-xr-xdvm/2976/testcase17
1 files changed, 17 insertions, 0 deletions
diff --git a/dvm/2976/testcase b/dvm/2976/testcase
new file mode 100755
index 0000000..4891752
--- /dev/null
+++ b/dvm/2976/testcase
@@ -0,0 +1,17 @@
+#!/bin/bash
+
+source $cwd/regression_helpers
+
+$GLUSTERFSDIR/gluster volume create $global_bug_id $(hostname):$EXPORT_DIR/$global_bug_id/export1 $(hostname):$EXPORT_DIR/$global_bug_id/export2 2>/dev/null 1>/dev/null;
+
+$GLUSTERFSDIR/gluster volume start $global_bug_id 2>/dev/null 1>/dev/null;
+
+$GLUSTERFSDIR/gluster volume set $global_bug_id cache-min-file-size 20MB 2>/dev/null 1>/dev/null;
+
+status=$?
+
+if [ $status -eq 0 ]; then
+ exit 0;
+else
+ exit 1;
+fi